const PACKAGE_NAME = "uuidconvert";
const fs = require("fs");
const vue = Editor.require(`packages://${PACKAGE_NAME}/lib/vue.js`);

Editor.Panel.extend({
    style: fs.readFileSync(Editor.url(`packages://${PACKAGE_NAME}/static/style/default/index.css`), 'utf-8')
        .concat(fs.readFileSync(Editor.url(`packages://${PACKAGE_NAME}/static/style/default/bootstrap.min.css`), 'utf-8')),

    template: fs.readFileSync(
        Editor.url(`packages://${PACKAGE_NAME}/static/template/default/index.html`), 'utf-8'),

    $: {
        app: '#app',
    },

    ready() {
        this.app = new vue({
            el: this.$app,
            created: function () {

            },

            components: {
                "counter": Editor.require(`packages://${PACKAGE_NAME}/static/template/vue/counter.js`)
            },

            data: function () {
                return {}
            },

            methods: {

            },

            watch: {

            }
        })
    },

    methods: {
    },

    messages: {
    }
});